tch_f_decoder_impl.h File Reference
`#include "openbts/AmrCoder.h"`
`#include "openbts/BitVector.h"`
`#include "openbts/GSM503Tables.h"`
`#include "openbts/GSM610Tables.h"`
`#include "openbts/GSM660Tables.h"`
`#include "openbts/ViterbiR204.h"`
`#include <gsm/decoding/tch_f_decoder.h>`

Go to the source code of this file.

## Classes

class | gr::gsm::tch_f_decoder_impl

## Namespaces

namespace | gr
namespace | gr::gsm

## Macros

#define | DATA_BLOCK_SIZE 184
#define | PARITY_SIZE 40
#define | FLUSH_BITS_SIZE 4
#define | PARITY_OUTPUT_SIZE (DATA_BLOCK_SIZE + PARITY_SIZE + FLUSH_BITS_SIZE)
#define | CONV_INPUT_SIZE PARITY_OUTPUT_SIZE
#define | CONV_SIZE (2 * CONV_INPUT_SIZE)
#define | BLOCKS 8
#define | iBLOCK_SIZE (CONV_SIZE / BLOCKS)

## Macro Definition Documentation

## BLOCKS

#define BLOCKS 8

## CONV_INPUT_SIZE

#define CONV_INPUT_SIZE PARITY_OUTPUT_SIZE

## CONV_SIZE

#define CONV_SIZE (2 * CONV_INPUT_SIZE)

## DATA_BLOCK_SIZE

#define DATA_BLOCK_SIZE 184

## FLUSH_BITS_SIZE

#define FLUSH_BITS_SIZE 4

## iBLOCK_SIZE

#define iBLOCK_SIZE (CONV_SIZE / BLOCKS)

## PARITY_OUTPUT_SIZE

#define PARITY_OUTPUT_SIZE (DATA_BLOCK_SIZE + PARITY_SIZE + FLUSH_BITS_SIZE)

## PARITY_SIZE

#define PARITY_SIZE 40